Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkFeatureEdges Class Reference

`#include <vtkFeatureEdges.h>`

Inheritance diagram for vtkFeatureEdges:

[legend]
Collaboration diagram for vtkFeatureEdges:

[legend]
List of all members.

## Detailed Description

extract boundary, non-manifold, and/or sharp edges from polygonal data

Date:
  2002/09/03 12:52:23

Revision:
  1.38

vtkFeatureEdges is a filter to extract special types of edges from input polygonal data. These edges are either 1) boundary (used by one polygon) or a line cell; 2) non-manifold (used by three or more polygons); 3) feature edges (edges used by two triangles and whose dihedral angle > FeatureAngle); or 4) manifold edges (edges used by exactly two polygons). These edges may be extracted in any combination. Edges may also be "colored" (i.e., scalar values assigned) based on edge type. The cell coloring is assigned to the cell data of the extracted edges.

Warning:
  To see the coloring of the liens you may have to set the ScalarMode instance variable of the mapper to SetScalarModeToUseCellData(). (This is only a problem if there are point data scalars.)

See also:
  vtkFeatureVertices

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (70%)
  - Henderson, Amy (8%)
  - Geveci, Berk (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkFeatureEdges.cxx)`
  - .`h` (`/Graphics/vtkFeatureEdges.h)`

Examples:
  vtkFeatureEdges (Examples)

Tests:
  vtkFeatureEdges (Tests)

Definition at line 66 of file vtkFeatureEdges.h.

## Public Types
typedef vtkPolyDataToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | CreateDefaultLocator ()
unsigned long | GetMTime ()
virtual void | SetBoundaryEdges (int)
virtual int | GetBoundaryEdges ()
virtual void | BoundaryEdgesOn ()
virtual void | BoundaryEdgesOff ()
virtual void | SetFeatureEdges (int)
virtual int | GetFeatureEdges ()
virtual void | FeatureEdgesOn ()
virtual void | FeatureEdgesOff ()
virtual void | SetFeatureAngle (float)
virtual float | GetFeatureAngle ()
virtual void | SetNonManifoldEdges (int)
virtual int | GetNonManifoldEdges ()
virtual void | NonManifoldEdgesOn ()
virtual void | NonManifoldEdgesOff ()
virtual void | SetManifoldEdges (int)
virtual int | GetManifoldEdges ()
virtual void | ManifoldEdgesOn ()
virtual void | ManifoldEdgesOff ()
virtual void | SetColoring (int)
virtual int | GetColoring ()
virtual void | ColoringOn ()
virtual void | ColoringOff ()
void | SetLocator (vtkPointLocator *locator)
virtual vtkPointLocator * | GetLocator ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkFeatureEdges * | SafeDownCast (vtkObject *o)
vtkFeatureEdges * | New ()
## Protected Methods
| vtkFeatureEdges ()
| ~vtkFeatureEdges ()
void | Execute ()
void | ComputeInputUpdateExtents (vtkDataObject *output)
## Protected Attributes
float | FeatureAngle
int | BoundaryEdges
int | FeatureEdges
int | NonManifoldEdges
int | ManifoldEdges
int | Coloring
vtkPointLocator * | Locator

## Member Typedef Documentation

typedef vtkPolyDataToPolyDataFilter vtkFeatureEdges::Superclass

| Reimplemented from vtkPolyDataToPolyDataFilter. Definition at line 69 of file vtkFeatureEdges.h.

## Constructor & Destructor Documentation

vtkFeatureEdges::vtkFeatureEdges | ( |  | ) | `[protected]`

vtkFeatureEdges::~vtkFeatureEdges | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkFeatureEdges::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

int vtkFeatureEdges::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual int vtkFeatureEdges::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkFeatureEdges* vtkFeatureEdges::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

void vtkFeatureEdges::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkFeatureEdges* vtkFeatureEdges::New | ( |  | ) | `[static]`

| Construct object with feature angle = 30; all types of edges extracted and colored. Reimplemented from vtkObject.

virtual void vtkFeatureEdges::SetBoundaryEdges | ( | int |  | ) | `[virtual]`

| Turn on/off the extraction of boundary edges.

virtual int vtkFeatureEdges::GetBoundaryEdges | ( |  | ) | `[virtual]`

| Turn on/off the extraction of boundary edges.

virtual void vtkFeatureEdges::BoundaryEdgesOn | ( |  | ) | `[virtual]`

| Turn on/off the extraction of boundary edges.

virtual void vtkFeatureEdges::BoundaryEdgesOff | ( |  | ) | `[virtual]`

| Turn on/off the extraction of boundary edges.

virtual void vtkFeatureEdges::SetFeatureEdges | ( | int |  | ) | `[virtual]`

| Turn on/off the extraction of feature edges.

virtual int vtkFeatureEdges::GetFeatureEdges | ( |  | ) | `[virtual]`

| Turn on/off the extraction of feature edges.

virtual void vtkFeatureEdges::FeatureEdgesOn | ( |  | ) | `[virtual]`

| Turn on/off the extraction of feature edges.

virtual void vtkFeatureEdges::FeatureEdgesOff | ( |  | ) | `[virtual]`

| Turn on/off the extraction of feature edges.

virtual void vtkFeatureEdges::SetFeatureAngle | ( | float |  | ) | `[virtual]`

| Specify the feature angle for extracting feature edges.

virtual float vtkFeatureEdges::GetFeatureAngle | ( |  | ) | `[virtual]`

| Specify the feature angle for extracting feature edges.

virtual void vtkFeatureEdges::SetNonManifoldEdges | ( | int |  | ) | `[virtual]`

| Turn on/off the extraction of non-manifold edges.

virtual int vtkFeatureEdges::GetNonManifoldEdges | ( |  | ) | `[virtual]`

| Turn on/off the extraction of non-manifold edges.

virtual void vtkFeatureEdges::NonManifoldEdgesOn | ( |  | ) | `[virtual]`

| Turn on/off the extraction of non-manifold edges.

virtual void vtkFeatureEdges::NonManifoldEdgesOff | ( |  | ) | `[virtual]`

| Turn on/off the extraction of non-manifold edges.

virtual void vtkFeatureEdges::SetManifoldEdges | ( | int |  | ) | `[virtual]`

| Turn on/off the extraction of manifold edges.

virtual int vtkFeatureEdges::GetManifoldEdges | ( |  | ) | `[virtual]`

| Turn on/off the extraction of manifold edges.

virtual void vtkFeatureEdges::ManifoldEdgesOn | ( |  | ) | `[virtual]`

| Turn on/off the extraction of manifold edges.

virtual void vtkFeatureEdges::ManifoldEdgesOff | ( |  | ) | `[virtual]`

| Turn on/off the extraction of manifold edges.

virtual void vtkFeatureEdges::SetColoring | ( | int |  | ) | `[virtual]`

| Turn on/off the coloring of edges by type.

virtual int vtkFeatureEdges::GetColoring | ( |  | ) | `[virtual]`

| Turn on/off the coloring of edges by type.

virtual void vtkFeatureEdges::ColoringOn | ( |  | ) | `[virtual]`

| Turn on/off the coloring of edges by type.

virtual void vtkFeatureEdges::ColoringOff | ( |  | ) | `[virtual]`

| Turn on/off the coloring of edges by type.

void vtkFeatureEdges::SetLocator | ( | vtkPointLocator * | locator | ) |

| Set / get a spatial locator for merging points. By default an instance of vtkMergePoints is used.

virtual vtkPointLocator* vtkFeatureEdges::GetLocator | ( |  | ) | `[virtual]`

| Set / get a spatial locator for merging points. By default an instance of vtkMergePoints is used.

void vtkFeatureEdges::CreateDefaultLocator | ( |  | ) |

| Create default locator. Used to create one when none is specified.

unsigned long vtkFeatureEdges::GetMTime | ( |  | ) | `[virtual]`

| Return MTime also considering the locator. Reimplemented from vtkObject.

void vtkFeatureEdges::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkFeatureEdges::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkPolyDataSource.

## Member Data Documentation

float vtkFeatureEdges::FeatureAngle`[protected]`

| Definition at line 138 of file vtkFeatureEdges.h.

int vtkFeatureEdges::BoundaryEdges`[protected]`

| Definition at line 139 of file vtkFeatureEdges.h.

int vtkFeatureEdges::FeatureEdges`[protected]`

| Definition at line 140 of file vtkFeatureEdges.h.

int vtkFeatureEdges::NonManifoldEdges`[protected]`

| Definition at line 141 of file vtkFeatureEdges.h.

int vtkFeatureEdges::ManifoldEdges`[protected]`

| Definition at line 142 of file vtkFeatureEdges.h.

int vtkFeatureEdges::Coloring`[protected]`

| Definition at line 143 of file vtkFeatureEdges.h.

vtkPointLocator* vtkFeatureEdges::Locator`[protected]`

| Definition at line 144 of file vtkFeatureEdges.h.

The documentation for this class was generated from the following file:

- Graphics/vtkFeatureEdges.h